# API Overview

The Netography API allows you to interact programmatically with the Netography Fusion platform. It is a REST API that returns JSON data.

To use the Netography API, go to the Netography Fusion Portal and [Create a Netography API Key](https://docs.netography.com/api-reference/create-a-netography-api-key).

Once you have saved the `netosecret` string displayed when creating the key, use that to construct a JWT request token to [Authenticate to the API via API Key](https://docs.netography.com/api-reference/netography-apis/authentication).

> #### 🔑Authenticating with `appkey`, `appname`, `shortname`,`sharedsecret`
>
> If you created an API key prior to August 20, 2024, you would have collected these 4 fields individually instead of a single `netosecret` field. We simplified the process by encoding these fields and the API URL into a single base64 encoded JSON object, so you only have to copy 1 field now.
>
> If you are using the API with a client that asks for these fields (or any variation of those names) and does not yet support `netosecret` as the single field to configure, you can still retrieve those values when creating an API key in the Fusion Portal, or you can decode the `netosecret` to read each of those fields.
>
> For more technical details and a variety of options for encoding and decoding `netosecret`, see [netosecret](https://docs.netography.com/api-recipes/recipes/curl-authenticate-to-api-using-netosecret).

### Base URL

All URLs referenced in the documentation have the following base URL:

`https://api.netography.com`

### Do you need to use the API?

> #### 🪝Webhooks
>
> If you want to take action based on an event trigger in Netography Fusion, that is part of Netography's Response Integrations capability. This can be done using Webhooks, or with other supported Response Integrations, and does not directly interact with the API documented here.
>
> For details on how to integrate with Webhooks and other Response Integrations, see:
>
> [Netography Docs - Response Integrations - Webhook](https://docs.netography.com/docs/integrations#webhook)

> #### ☁️Integrations with 3rd Party Products
>
> If you are looking to integrate with a 3rd party product for context enrichment, or use an integration that already exists in the product, see:
>
> [Netography Docs - NetoFuse](https://docs.netography.com/docs/netofuse)

### Getting Started

You can use the live API connection and code samples provided to interact with the API through this site.

You can also find all the references you need to connect to the API in your existing language, platform, and systems.

If you do not find pre-built reference material for the platform you are using to integrate, let us know what you are using so we can expand the docs to include that for you in the future.

Read the [Security Considerations](https://docs.netography.com/reference/security-considerations) section if you want to know more about how the live API works.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fusion.vectra.ai/api-reference/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
